libmariadbd-dev_10.1.41-0ubuntu0.18.04.1_amd64.deb


Advertisement

Description

libmariadbd-dev - MariaDB embedded database, development files

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package filename libmariadbd-dev_10.1.41-0ubuntu0.18.04.1_amd64.deb
Package name libmariadbd-dev
Package version 10.1.41
Package release 0ubuntu0.18.04.1
Package architecture amd64
Package type deb
Category universe/libdevel
Homepage https://mariadb.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 4.40 MB
Installed size 27.37 MB
MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
server. SQL (Structured Query Language) is the most popular database query
language in the world. The main goals of MariaDB are speed, robustness and
ease of use.
This package includes the embedded server library development and header files.

Alternatives

Package Version Architecture Repository
libmariadbd-dev_10.1.41-0ubuntu0.18.04.1_i386.deb 10.1.41 i386 Ubuntu Updates Universe
libmariadbd-dev_10.1.29-6_i386.deb 10.1.29 i386 Ubuntu Universe
libmariadbd-dev_10.1.29-6_amd64.deb 10.1.29 amd64 Ubuntu Universe
libmariadbd-dev - - -

Requires

Name Value
libmariadbclient-dev = 1:10.1.41-0ubuntu0.18.04.1
libmariadbd18 = 1:10.1.41-0ubuntu0.18.04.1

Replaces

Name Value
libmysqld-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libmariadbd-dev_10.1.41-0ubuntu0.18.04.1_amd64.deb
Source Package mariadb-10.1

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmariadbd-dev deb package:
    # sudo apt-get install libmariadbd-dev

Files

Path
/usr/lib/x86_64-linux-gnu/libmysqld.a
/usr/lib/x86_64-linux-gnu/libmysqld.so
/usr/share/doc/libmariadbd-dev/changelog.Debian.gz
/usr/share/doc/libmariadbd-dev/copyright

Changelog

2019-08-02 - Otto Kekäläinen <otto@debian.org>
mariadb-10.1 (1:10.1.41-0ubuntu0.18.04.1) bionic-security; urgency=medium
* SECURITY UPDATE: New upstream version 10.1.41. Includes fixes for the
following security vulnerabilities (LP: #1837770):
- CVE-2019-2737
- CVE-2019-2739
- CVE-2019-2740
- CVE-2019-2805
2019-05-20 - Otto Kekäläinen <otto@debian.org>
mariadb-10.1 (1:10.1.40-0ubuntu0.18.04.1) bionic-security; urgency=medium
* SECURITY UPDATE: New upstream version 10.1.40. Includes previous
upstream release 10.1.39 which included fixes for the following
security vulnerabilities:
- CVE-2019-2627
- CVE-2019-2614
* Amend previous changelog entries to include newly released CVE numbers.
* Skip test 'innodb_ft_result_cache_limit_32' on s390x introduced as
disabled in 10.1.37 and enabled in 10.1.38. The test failure is
insignificant. See upstream ssue MDEV-19387 for details.
2019-04-12 - Dan Streetman <ddstreet@canonical.com>
mariadb-10.1 (1:10.1.38-0ubuntu0.18.04.2) bionic; urgency=medium
* Restore tests to stop autopkgtest failures, by adding commits
from debian git (salsa) listed below (LP: #1824335)
* Revert "Remove the mariadb-test-* packages"
- debian commit 96d3f8abcbe51894d0a5f7c7cadd5219e0dc2823
* Omit test plugins as they are not used by the tests and
already deleted
- debian commit 902dffe6683e43d5134b9c9b9057b42372cd47fc
* Define autopkgtest with isolation-container to allow service
- debian commit 596c2581176102b29751786e5d8fac05dde3a3e4
* Utilize upstream unstable-tests list in tests/upstream
mysql-test-run
- debian commit 33d85312840a625c1d607601b77c45f138405cfe
* Fix typo in commit 33d853128 so skip list is not reset when
adding lines
- debian commit 18480afc86838a28cd9ba89e942330c2038011e2
* Mark selected tests as unstable so they don't stop the whole
upload in vain
- debian commit d44ece56d7e54c7940bebe6a4614a03c1c8621f2
* Disable test unit.pcre_test on s390x that was failing in
stretch-security
- debian commit d44ece56d7e54c7940bebe6a4614a03c1c8621f2
2019-02-06 - Otto Kekäläinen <otto@debian.org>
mariadb-10.1 (1:10.1.38-0ubuntu0.18.04.1) bionic-security; urgency=medium
* SECURITY UPDATE: New upstream release 10.1.38. Includes fixes for
the following security vulnerabilities (LP: #1814258):
- CVE-2019-2537
- CVE-2019-2529
* Remove non-applying Hurd patch as Ubuntu does not ship Hurd anyway
* Use list-missing instead of fail in d/rules so builds pass
* Add (and rename) new man pages
* Previous upstream version 10.1.37 included fixes for the following
security vulnerabilities:
- CVE-2019-2503
- CVE-2018-3282
- CVE-2018-3251
- CVE-2018-3174
- CVE-2018-3156
- CVE-2018-3143
- CVE-2016-9843
* Previous upstream version 10.1.36 included fixes for the following
security vulnerabilities:
- CVE-2019-2503
* Previous upstream version 10.1.35 included fixes for the following
security vulnerabilities:
- CVE-2018-3066
- CVE-2018-3064
- CVE-2018-3063
- CVE-2018-3058

See Also

Package Description
libmariadbd18_10.1.41-0ubuntu0.18.04.1_amd64.deb MariaDB embedded database, shared library
libmaven-bundle-plugin-java_3.5.1-2~18.04.1_all.deb Maven plugin to handle artifact OSGi metadata
libmaven-clean-plugin-java_3.1.0-1~18.04_all.deb Maven clean plugin
libmaven-compiler-plugin-java_3.8.0-1ubuntu1~18.04.1_all.deb Maven Compiler plugin
libmaven-dependency-analyzer-java_1.10-1~18.04_all.deb Maven Dependency Analyzer
libmaven-dependency-plugin-java_3.1.1-1~18.04_all.deb Maven Dependency Plugin
libmaven-doxia-tools-java-doc_1.4-4~18.04_all.deb Documentation for Maven Doxia Integration Tools
libmaven-doxia-tools-java_1.4-4~18.04_all.deb utilities for integrating Doxia in Maven
libmaven-enforcer-plugin-java_3.0.0~M2-1~18.04.1_all.deb Maven build rule execution framework
libmaven-jar-plugin-java_3.1.1-1~18.04_all.deb Maven Jar Plugin
libmaven-javadoc-plugin-java_3.0.1-3~18.04.1_all.deb Maven Javadoc Plugin
libmaven-jaxb2-plugin-java_0.14.0-1~18.04.1_all.deb Maven JAXB 2.x Plugin Project
libmaven-parent-java_31-2~18.04_all.deb Maven metadata for Apache Maven itself
libmaven-plugin-testing-java_3.3.0-1~18.04_all.deb Maven Plugin Testing
libmaven-plugin-tools-java_3.5-6ubuntu1~18.04.1_all.deb Maven Plugin Tools
Advertisement
Advertisement